# Docsify Footer

A footer markdown plugin for magic documentation site generator, docsify. Find out more at docsify.js.org

## Contents

- [Requirements](#requirements)
- [Using the Footer](#using-the-plugin)
- [Contributing](#contributing)
- [Feedback](#feedback)
- [Related Projects](#related-projects)
- [Backers](#backers)
- [License](#license)

## Requirements

The docsify footer plugin works with:

- Docsify latest, the magical documentation site generator
- Markdown, the lightweight and easy-to-use syntax for all forms of writing on GitHub platform

There are [binary distribution]() for the plugin and you can also build it from source for experiments as well.

## Using the Footer

Check out the [installation instructions]() and [how to get started]().

## Contributing

There are many ways in which you can participate in the project, for example:

- [Submit bugs and feature requests](https://github.com/alertbox/docsify-footer/issues), and help us verify as they are checked in
- Review [source code changes](https://github.com/alertbox/docsify-footer/pulls)
- Review the [documentation](docs) and make pull requests for anything from typos to new content

If you are interested in fixing issues and contributing directly to the source code, please see the document [How to Contribute](CONTRIBUTING.md), which covers the following:

- [Prerequisites](CONTRIBUTING.md#prerequisites)
- [How to build and run from source](CONTRIBUTING.md#build-and-run)
- [Finding an issue to work on](https://github.com/alertbox/docsify-footer/issues)
- [Contributing to platforms](CONTRIBUTING.md#publishing)

## Feedback

- Ask a question on [Stack Overflow]()
- [Request a new feature](https://github.com/alertbox/docsify-footer/issues/new?assignees=&labels=&template=feature_request.md&title=)
- Upvote [popular feature requests](https://github.com/alertbox/docsify-footer/issues)
- [Report an issue](https://github.com/alertbox/docsify-footer/issues/new?assignees=&labels=&template=bug_report.md&title=)
- Follow [@alertbox](https://twitter.com/alertboxinc) and let us know what you think!

## Related Projects

Many of the core components and dependencies live in their own repositories on GitHub, for example, the [Docsify](https://github.com/docsifyjs/docsify) and [Docker Images for Node](https://github.com/alertbox/docsify-served) have their own repositories. For a complete list, please have a look at the [Related Projects]() page.

## Code of Conduct

This project has adopted the [Contributor Covenant](http://contributor-covenant.org/) template for OSS [Code of Conduct](CODE_OF_CONDUCT.md). This same template is used by [over 350,000 open source projects](https://github.com/search?l=Markdown&q=%22Contributor+Covenant%22+fork%3Afalse&type=Code) such as Linux, .NET Foundation, Google, and others in their open source projects.

## Backers

Thank you to all our Open Collective backers. We highly encourage everyone to [become a backer](https://opencollective.com/alertbox#backer)!

<a href="https://opencollective.com/alertbox#backers" target="_blank"><img src="https://opencollective.com/alertbox/backers.svg?width=890"></a>

## License

Copyright (c) Alertbox Inc. All rights reserved.

The source code is license under the [MIT License](LICENSE).
